<!DOCTYPE html>
<html>
    <head>
        <title>Speidel Tempwatch</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        <script src="https://unpkg.com/vue"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/3.0.3/handlebars.min.js"></script>
        <script src="data/speidellib.js"></script>
        <script src="data/brewersfriend.js"></script>

        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

        <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css">
        <link href="data/speidel.css" rel="stylesheet" type="text/css">
        <script src="data/brauhaus.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        <!-- <script src="brauhaus-beerxml.min.js"></script> -->
        <script src="data/import.js"></script>
        <script src="data/globals.js"></script>
        <script src="data/import.js"></script>
    </head>
    <body>
        <form><p>
            Warn temp: <input id="warntemp" value="34">
        </p>
        <audio id="soundHandle" src="data/bing.wav"  autoplay></audio>
        <p>Current Temp: <span id="temp"></span>
            <button type="button" style="display: none" onclick="stop_sound()" id="stopsound">Stop Sound</button>
        </p>
        <p>Diff Temp: <span id="diff"></span>
        </p>
        </form>
    </body>
    <script>
     function stop_sound () {
         // $("#stopsound").css("display", "none");
         $("#stopsound").text("Restart temp monitoring");
         console.log ("Stopping sound");
         soundHandle.pause();
         soundHandle.autoplay = false;
         sound_stopped = true;
         
     }

     var sound_stopped = false;         
     function handleTemp (temptxt) {
         let temp = parseFloat(temptxt);
         $("#temp").text(temp.toString());
         let diff = $("#warntemp").val() - temp;
         $("#diff").text(diff.toString());
         // console.log ("Diff: "+diff.toString());
         console.log ("stopped? "+sound_stopped);
         if (Math.abs(diff) <= 1.0 && ! sound_stopped) {
             soundHandle.play();
             $("#stopsound").css("display", "inline");
         } else {
             stop_sound();
             soundHandle.pause();
             soundHandle.autoplay = false;
         }
     }
     var soundHandle = document.getElementById('soundHandle');

     var sendToServer = function(speidel){
         $.ajax({
             type: 'GET',
             url: 'http://'+speidel+'/bm.txt',
             success: function(msg){
                 var temptxt = msg.split(';')[2].split('X')[5];
                 handleTemp(temptxt);
                 console.log ("Got temp:"+temptxt);
                 $("#temp").val();
                 setTimeout(
                     function () { sendToServer(speidel); }, // function to call
                     10000 // delay in ms
                 );
                 
             }
         });
     };
     sendToServer('speidel');
    </script>
</html>
